Bug 9576 - Cannot build a lfs-enabled kernel
Cannot build a lfs-enabled kernel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-18 20:17 EST by Chris Seawood
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-09 15:54:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Seawood 2000-02-18 20:17:42 EST
I noticed the kernel srpm comes with large filesystem (lfs) support so I
set the lfs define to 1 and attempted to recompile the kernel.  It failed
when applying the lfs patch.

+ echo Patch #22 (linux-2.2.14-lfs.patch):
Patch #22 (linux-2.2.14-lfs.patch):
+ patch -p1 -s
2 out of 2 hunks FAILED -- saving rejects to fs/qnx4/file.c.rej
1 out of 2 hunks FAILED -- saving rejects to
arch/sparc64/kernel/sys32.S.rej
2 out of 5 hunks FAILED -- saving rejects to
arch/sparc64/kernel/systbls.S.rej
Bad exit status from /var/tmp/rpm-tmp.4572 (%prep)
Comment 1 Chris Seawood 2000-04-09 15:54:59 EDT
Just following up, the kernel rpm shipped with 6.2 handles building the lfs
enabled kernel a tad bit better.  I still had to put sparc ifdefs around patches
64 & 85 to get a lfs-enabled i386 kernel to compile.
Comment 2 Michael K. Johnson 2000-07-31 16:47:07 EDT
This is usually fixed in rawhide kernels, although we occasionally
regress when patches conflict with the lfs patches that we do not
normally apply.

Note You need to log in before you can comment on or make changes to this bug.